Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.dialog
Class FadeoutDialogBox

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.google.gwt.user.client.ui.PopupPanel
                          com.google.gwt.user.client.ui.DialogBox
                              org.eclipse.higgins.ics.gwt.base.client.dialog.FadeoutDialogBox

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, EventListener, com.google.gwt.user.client.EventPreview, com.google.gwt.user.client.ui.HasHTML, com.google.gwt.user.client.ui.HasText, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.MouseListener, com.google.gwt.user.client.ui.SourcesPopupEvents

Direct Known Subclasses:
  SimpleDialog

public class FadeoutDialogBox
extends com.google.gwt.user.client.ui.DialogBox

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.PopupPanel
`com.google.gwt.user.client.ui.PopupPanel.PositionCallback`

Constructor Summary
`FadeoutDialogBox()`
`FadeoutDialogBox(boolean autoHide)`
`FadeoutDialogBox(boolean autoHide, boolean modal)`

Method Summary
`void` | `hide()`
`void` | `makeGlassTimers()`
`void` | `show()`

Methods inherited from class com.google.gwt.user.client.ui.DialogBox
`getHTML, getText, onEventPreview, onMouseDown, onMouseEnter, onMouseLeave, onMouseMove, onMouseUp, remove, setHTML, setText, setWidget, setWidth`

Methods inherited from class com.google.gwt.user.client.ui.PopupPanel
`addPopupListener, center, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getTitle, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, removePopupListener, setHeight, setPopupPosition, setPopupPositionAndShow, setTitle, setVisible`

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getWidget, iterator`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStylePrimaryName, isVisible, isVisible, removeStyleDependentName, removeStyleName, setPixelSize, setSize, setStyleName, setStylePrimaryName, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FadeoutDialogBox

    public FadeoutDialogBox()

### FadeoutDialogBox

    public FadeoutDialogBox(boolean autoHide)

### FadeoutDialogBox

    public FadeoutDialogBox(boolean autoHide,
                            boolean modal)

Method Detail

### show

    public void show()

### hide

    public void hide()

### makeGlassTimers

    public void makeGlassTimers()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD